MS-SYS(1)

NOM
ms-sys - écrit des secteurs de démarrage de type Microsoft et autres

SYNOPSIS
ms-sys [options] [périphérique]

DESCRIPTION
ms-sys sert à écrire des secteurs de démarrage de type Microsoft, ou autres

OPTIONS
La liste des options est donnée ci-dessous :

-1, --fat12
    Écrit un secteur de démarrage pour FAT12 de type disquette.

-2, --fat32nt
    Écrit un secteur de démarrage pour partition FAT32 de type NT.

-e, --fat32pe
    Écrit un secteur de démarrage pour partition FAT32 de type PE, pour installation USB.

-3, --fat32
    Écrit un secteur de démarrage pour partition FAT32 de type DOS (Win9x).

-4, --fat32free
    Écrit un secteur de démarrage pour partition FAT32 de type FreeDOS.

-5, --fat16free
    Écrit un secteur de démarrage pour partition FAT16 de type FreeDOS.

-6, --fat16
    Écrit un secteur de démarrage pour partition FAT16 de type DOS (Win9x).

-n, --ntfs
    Écrit un secteur de démarrage pour partition NTFS de type Windows 7. Cette fonctionnalité doit être considérée comme expérimentale et n'a probablement aucun intérêt pratique.

-o, --fat16ros
    Écrit un secteur de démarrage pour partition FAT16 de type ReactOS.

-c, --fat32ros
    Écrit un secteur de démarrage pour partition FAT32 de type ReactOS.

-q, --fat32kos
    Écrit un secteur de démarrage pour partition FAT32 de type KolibriOS.

-l, --wipelabel
    Réinitialise le label de partition disque du secteur de démarrage.

-p, --partition
    Écrit les infos de partition (secteurs cachés, nombre de têtes et ID de disque) dans le secteur de démarrage. Cela peut être nécessaire pour certaines partitions, en fonction de l'application qui a été utilisée pour créer le système de fichiers.

-H <n>, --heads <n>
    Spécifie le nombre de têtes, lorsque l'option -p est utilisée

-O <s>, --writeoem <s>
    Applique l'ID OEM <s> au système de fichiers.

-S <x>, --writewds <x>
    Écrit la signature de disque Windows <x> (hex) dans le MBR.

-7, --mbr7
    Écrit un Master Boot Record de type Windows 7. Cette opération ne change pas la signature disque (octets 01b8-01bd). Ce MBR peut aussi démarrer certains types de partitions, au delà du cylindre 1024, en utilisant le mode d'adressage 'LBA'.

-i, --mbrvista
    Écrit un Master Boot Record de type Windows Vista. Cette opération ne change pas la signature disque (octets 01b8-01bd). Ce MBR peut aussi démarrer certains types de partitions, au delà du cylindre 1024, en utilisant le mode d'adressage 'LBA'.

-m, --mbr
    Écrit un Master Boot Record de type Windows 2000/XP/2003. Cette opération ne change pas la signature disque (octets 01b8-01bd). Ce MBR peut aussi démarrer certains types de partitions, au delà du cylindre 1024, en utilisant le mode d'adressage 'LBA'.

-9, --mbr95b
    Écrit un Master Boot Record de type Windows 95B/98/98SE/ME. Cette opération ne change pas la Signature Disque (octets 01b8-01bd) ou le périphérique et horodatage de démarrage (octets 00da-00df). Ce MBR peut démarrer des partitions FAT-LBA de types 0c et 0e au delà du cylindre 1024, en utilisant le mode d'adressage 'LBA'.

-d, --mbrdos
    Écrit un Master Boot Record de type DOS/Windows NT. Cette opération ne change pas la signature disque (octets 01b8-01bd). Ce MBR ne peut pas démarrer au delà du cylindre 1024, car il ne supporte pas le mode d'adressage 'LBA'.

-s, --mbrsyslinux
    Écrit un Master Boot Record de type Syslinux. Cette opération ne change pas la signature disque (octets 01b8-01bd). Ce MBR peut aussi démarrer certains types de partitions, au delà du cylindre 1024, en utilisant le mode d'adressage 'LBA'.

-t, --mbrgptsyslinux
    Écrit un bloc GPL Syslinux de type GPT MBR. Ce MBR démarre seulement un système de partitions GPT.

-a, --mbrreactos
    Écrit un Master Boot Record de type ReactOS.

-k, --mbrkolibrios
    Écrit un Master Boot Record de type KolibriOS.

-r, --mbrrufus
    Écrit un Master Boot Record de type Rufus.

-g, --mbrgrub4dos
    Écrit un Master Boot Record de type Grub4DOS.

-b, --mbrgrub2
    Écrit un Master Boot Record de type GRUB 2.

-z, --mbrzero
    Écrit un Master Boot Record de type vide (zéro, non-démarrable). Tous les octets, en dehors de la table de partition et de la signature disque (octets 01be-01ff), sont mis a zéro. Similaire à la table de partition vide DOS créée par fdisk.

-f, --force
    Force l'écriture des secteurs de démarrage.

-h, --help
    Affiche un sommaire des options.

-v, --version
    Affiche la version du programme.

-w, --write
    Écrit les secteurs de démarrage automatiquement sélectionnés.

Si ms-sys est démarré sans paramètres, un diagnostic sera effectué sur le périphérique sélectionné.

EXEMPLES

Notez que Windows ME est contre-indiqué pour créer des disquettes démarrables. En revanche, Win9x et DOS marchent correctement pour les 2 premiers exemples.

Création d'une disquette 1.68 Mo démarrable

Cet exemple assume que votre installation de Windows est montée sous /dos et que vous avez 'mtools' et 'fdformat' installés.

fdformat /dev/fd0u1680
mformat a:
ms-sys -w /dev/fd0
mcopy /dosc/io.sys a:
mcopy /dosc/msdos.sys a:
mcopy /dosc/command.com a:

Création d'une disquette 2.8 Mo démarrable, pour utilisation sur un CD démarrable El Torito

dd if=/dev/zero of=floppy288.img bs=1024 count=2880
/sbin/mkdosfs floppy288.img
ms-sys -1 -f floppy288.img
su
mount -o loop floppy288.img /mnt
cp msdos.sys /mnt/
cp io.sys /mnt/
cp command.com /mnt/
(Vous voudrez sans doute ajouter un 'config.sys' et 'autoexec.bat' avec support CD-ROM)
umount /mnt
exit
cp floppy288.img cd-files/boot.img
mkisofs -b boot.img -c boot.cat -o cdimage.iso cd-files
(vous pouvez maintenant graver 'cdimage.iso' sur un CD en utilisant cdrecord ou un autre programme)

Restoration d'une copie de sauvegarde de Win9x ou Win ME sur un nouveau disque dur

Étape 1, utilisez GNU parted pour créer votre partition et système de fichiers FAT32 :

parted (puis créez la partition et le système de fichiers)

Étape 2, écrivez le MBR :

ms-sys -w /dev/hda

Étape 3, écrivez les secteurs de démarrage sur la partition FAT32 :

ms-sys -w /dev/hda1

Étape 4, montez votre nouveau système de fichiers :

mount /dev/hda1 /mnt

Étape 5, lisez votre copie de sauvegarde

cd /mnt; tar -xzvf /path/to/my_windows_backup_file.tgz

ENVIRONEMENT
Les variables LANG et LC_ALL ont leur utilisation habituelle. Peu de traductions sont toutefois disponibles...

BUGS
Nous avons des rapports concernant des partitions FAT32 non-démarrables, créées avec la commande 'mformat -F c:'. Ce problème nous à aussi été indiqué pour des partitions formatées avec 'mkdosfs' et 'mkfs.vfat'. Une solution de contournement consiste à utiliser GNU parted pour créer la partition. Depuis la version 1.1.3, ms-sys a aussi l'option -p pour essayer d'éliminer ce problème. Malheureusement, lorsque ms-sys est utilisé avec un noyau Linux 2.6 ou plus récent, l'utilisation de l'option -p ou de GNU parted peut aussi se révéler infructueuse. Une autre solution possible peut consister à indiquer le nombre de têtes avec l'option -H. Si votre système a été démarré avec LILO, le nombre correct de têtes peut être déterminé par la commande "lilo -T geom".

L'écriture de secteurs de démarrage avec ms-sys sur une partition NTFS est vraisemblablement sans grand intérêt pratique. Pour Windows 7, nous avons des indications qu'effectuer un 'sysprep' avant de créer une image d'une partition NTFS peut rendre cette partition démarrable après restauration.

AUTEURS
Cette page man a été traduite par Pete Batard. Le programme ms-sys est principalement écrit par Henrik Carlqvist. Le fichier 'CONTRIBUTORS' dans l'archive source contient la liste complète des contributions.

VOYEZ AUSSI
mformat(1) fdformat(8) mkdosfs(8) mkisofs(8) parted(8)